View Issue Details

IDProjectCategoryView StatusLast Update
0001737NoesisGUIUnity3Dpublic2020-06-29 14:04
ReporterFaerdanAssigned Tosfernandez 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.0.2 
Target Version3.0.3Fixed in Version3.0.3 
Summary0001737: Unity crash when stopping and playing scene
DescriptionI've just updated from 2.2.6 to 3.0.2.

After stopping the scene and then clicking play the editor crashes with the following error: Noesis.dll caused an Access Violation (0xc0000005) in module Noesis.dll at 0033:bb1e5030.

I've attached the crash info.
TagsNo tags attached.
PlatformWindows

Activities

Faerdan

Faerdan

2020-06-25 19:03

reporter  

Crash_2020-06-25_165254702.zip (519,007 bytes)
sfernandez

sfernandez

2020-06-26 17:16

manager   ~0006460

Is this crash something you can reproduce in a deterministic way?
From the callstack I see it happens when destroying a page containing a ListBox with tooltips, I don't know if that points to any known screen.
It would help to have a way to reproduce it and narrow the xaml causing it.
sfernandez

sfernandez

2020-06-26 17:35

manager   ~0006461

I may have an idea on what could be happening, I generated a new library with a possible fix, could you please give it a try?

https://drive.google.com/file/d/1S7Wo3daVvzo_7c0gFOKJTzbPSBFNQpoK
Faerdan

Faerdan

2020-06-26 17:38

reporter   ~0006462

I'll try the fix now, thanks.

I've attached the XAML files for the screen which leads to the problem.

HeroSelection.zip (82,423 bytes)
sfernandez

sfernandez

2020-06-26 17:45

manager   ~0006463

Thanks for the xamls.

I think I was too fast on providing the fix, it won't solve it. But I'm pretty sure where the problem comes from.
I need a bit more time to figure out the correct way to fix it.
Faerdan

Faerdan

2020-06-26 17:56

reporter   ~0006464

You are correct, the fix didn't work.

I appreciate your attention, thanks! :)
sfernandez

sfernandez

2020-06-29 11:49

manager   ~0006466

Finally I was able to reproduce the issue, could you please try the following fix in your game. In NoesisGUI/Plugins/API/Proxies/PropertyMetadataExtend.cs line 184 instead of just returning IntPtr.Zero:

BaseComponent.AddReference(baseValue); // released by native bindings
return baseValue;


This should fix it.
Faerdan

Faerdan

2020-06-29 13:51

reporter   ~0006468

This fixed the issue, thank you!

Issue History

Date Modified Username Field Change
2020-06-25 19:03 Faerdan New Issue
2020-06-25 19:03 Faerdan File Added: Crash_2020-06-25_165254702.zip
2020-06-26 17:03 sfernandez Assigned To => sfernandez
2020-06-26 17:03 sfernandez Status new => assigned
2020-06-26 17:03 sfernandez Target Version => 3.0.3
2020-06-26 17:03 sfernandez Description Updated View Revisions
2020-06-26 17:16 sfernandez Status assigned => feedback
2020-06-26 17:16 sfernandez Note Added: 0006460
2020-06-26 17:35 sfernandez Note Added: 0006461
2020-06-26 17:38 Faerdan File Added: HeroSelection.zip
2020-06-26 17:38 Faerdan Note Added: 0006462
2020-06-26 17:38 Faerdan Status feedback => assigned
2020-06-26 17:45 sfernandez Note Added: 0006463
2020-06-26 17:56 Faerdan Note Added: 0006464
2020-06-29 11:49 sfernandez Status assigned => feedback
2020-06-29 11:49 sfernandez Note Added: 0006466
2020-06-29 13:51 Faerdan Note Added: 0006468
2020-06-29 13:51 Faerdan Status feedback => assigned
2020-06-29 14:04 sfernandez Status assigned => resolved
2020-06-29 14:04 sfernandez Resolution open => fixed
2020-06-29 14:04 sfernandez Fixed in Version => 3.0.3